<?php
/**
 * @package linea21.modules
 * @subpackage workshop
 * @author Simon Georget <simon@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */
session_start();

include_once('../lib/functions_auth.php');
//////////// Check Droits utilisateur ////////////
if (!hasRight('workshop')) ReloadIndex('admin');
////////////

include_once('../config/define.php');
include_once('../workshop/'.SQL.'.inc.php');
include_once("../class/system/class.".SQL.".php");

$sql_entity=SQL;
$sql_object = new $sql_entity;
$sql_object -> DBInitialise();
$sql_object -> DBConnexion();

if($_GET['type']=='O') $data=$sql_object->DBSelect(SQL_getOrganizersList());
if($_GET['type']=='U') $data=$sql_object->DBSelect(SQL_getAllUsersList());

$response = array();

foreach ($data as $i => $user)
{
  $str_id = $user['user_login'];
  $html_str = $user['user_login'] . ' ('.$user['profile_email'].')';
  $response[] = array($str_id, $str_id, null, $html_str);
}

header('Content-type: application/json');
echo json_encode($response);