<?php
/**
 * @package linea21.core
 * @subpackage admin
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */
ob_start();
session_start();
include_once("../lib/functions_auth.php");
include_once("../lib/no_cache.php");
Set_Cookie_last_page();
if(!isset($_SESSION['authenticated'])) {
  if(!empty($_SERVER["QUERY_STRING"])) $page = "login.php?page=". rawurlencode("index.php?". $_SERVER["QUERY_STRING"]);
  else $page = "login.php";
  header("Location: ". $page);
  exit();
}

if(isset($_REQUEST['rub']))	$rub=$_REQUEST['rub'];
if(!isset($_REQUEST['todo'])) {
  $todo="list";
} else {
  $todo=$_REQUEST['todo'];
}

include_once("../config/define.php");


/**
 * Section include if dir exists
 **/
if(isset($rub)) {
  if(is_dir('../'.$rub)) $dir='../'.$rub;
  else ReloadIndex('admin');
} else {
  $dir='../home';
  $rub='home';
}

/**
 * language include
 **/
IncludeAdminLang($rub);

include_once("../class/system/class.".SQL.".php");

if(isset($Dbg)) {
  $debug_line->setEndTime();
  $debug_line = $Dbg->add('... loading SQL files');
  $debug_line->setStartTime();
}

$sql_entity=SQL;
$sql_object = new $sql_entity;
$sql_object -> DBInitialise();
$sql_object -> DBConnexion();
$rub_link="index.php?rub=".$rub;

include_once(SQL.'.inc.php');
$sql_inc_file=$dir."/".SQL.".inc.php";
if(file_exists($sql_inc_file)) include_once($sql_inc_file);

if(isset($Dbg)) {
  $debug_line->setEndTime();
}

include_once(THEME_ADMIN_PATH."index.php");

$sql_object -> DBClose();
if(isset($Dbg)) $Dbg->display();
ob_end_flush();
?>