<?php
/**
 * @package linea21.modules
 * @subpackage workshoprep
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 * 'Workshoprep' (as Workshop Report) module is used by 'Workshop' modules
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')) {
  include_once("../lib/lib_common.php");
  ReloadIndex('admin');
}
////////////

//////////// Check Droits utilisateur ////////////
if (!hasRight('workshop')) ReloadIndex('admin');
////////////

$rub_back_workshop="?rub=workshop&amp;todo=det&amp;id=".$work_id;
$search="search.php?rub=".$rub;
if($todo=='add') $title=_t('workshoprep','add');
if($todo=='mod') $title=_t('workshoprep','mod');
if($todo=='sup') $title=_t('workshoprep','sup');
if($todo=='det') $title=_t('workshoprep','det');
?>
<div id="itemenu">
<h1><?php echo $title; ?></h1>
<div class="contentlink"><a href="<?php echo $rub_back_workshop; ?>"
	id="content_link_back"
	title="<?php echo _t('workshoprep','return_workshop');?>"><?php echo _t('workshoprep','return_workshop');?></a>
| <a href="<?php echo $search; ?>" id="content_link_search"
	title="<?php echo _t('menu','search');?>"><?php echo _t('menu','search');?></a>
</div>
</div>
